- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Protected Member Functions

# QCommonStyle Class Reference

Search for all occurrences

## Detailed Description

Definition at line 54 of file qcommonstyle.h.

`#include <qcommonstyle.h>`

Inheritance diagram for QCommonStyle:
[legend]

List of all members.

## Public Member Functions
| QCommonStyle ()
| ~QCommonStyle ()
void | drawPrimitive (PrimitiveElement pe, const QStyleOption *opt, QPainter *p, const QWidget *w=0) const
void | drawControl (ControlElement element, const QStyleOption *opt, QPainter *p, const QWidget *w=0) const
QRect | subElementRect (SubElement r, const QStyleOption *opt, const QWidget *widget=0) const
void | drawComplexControl (ComplexControl cc, const QStyleOptionComplex *opt, QPainter *p, const QWidget *w=0) const
SubControl | hitTestComplexControl (ComplexControl cc, const QStyleOptionComplex *opt, const QPoint &pt, const QWidget *w=0) const
QRect | subControlRect (ComplexControl cc, const QStyleOptionComplex *opt, SubControl sc, const QWidget *w=0) const
QSize | sizeFromContents (ContentsType ct, const QStyleOption *opt, const QSize &contentsSize, const QWidget *widget=0) const
int | pixelMetric (PixelMetric m, const QStyleOption *opt=0, const QWidget *widget=0) const
int | styleHint (StyleHint sh, const QStyleOption *opt=0, const QWidget *w=0, QStyleHintReturn *shret=0) const
QPixmap | standardPixmap (StandardPixmap sp, const QStyleOption *opt=0, const QWidget *widget=0) const
QPixmap | generatedIconPixmap (QIcon::Mode iconMode, const QPixmap &pixmap, const QStyleOption *opt) const
void | polish (QPalette &)
void | polish (QApplication *app)
void | polish (QWidget *widget)
void | unpolish (QWidget *widget)
void | unpolish (QApplication *application)
## Protected Slots
QIcon | standardIconImplementation (StandardPixmap standardIcon, const QStyleOption *opt=0, const QWidget *widget=0) const
## Protected Member Functions
| QCommonStyle (QCommonStylePrivate &dd)

## Constructor & Destructor Documentation

QCommonStyle | ( |  | ) |

~QCommonStyle | ( |  | ) |

QCommonStyle | ( | QCommonStylePrivate & | dd | ) | `[protected]`

## Member Function Documentation

void drawPrimitive | ( | PrimitiveElement | pe,
|  | const QStyleOption * | opt,
|  | QPainter * | p,
|  | const QWidget * | w = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QStyle.

Reimplemented in QCDEStyle, QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void drawControl | ( | ControlElement | element,
|  | const QStyleOption * | opt,
|  | QPainter * | p,
|  | const QWidget * | w = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QStyle.

Reimplemented in QCDEStyle, QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

QRect subElementRect | ( | SubElement | r,
|  | const QStyleOption * | opt,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void drawComplexControl | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | opt,
|  | QPainter * | p,
|  | const QWidget * | w = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

SubControl hitTestComplexControl | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | opt,
|  | const QPoint & | pt,
|  | const QWidget * | w = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QPlastiqueStyle, QProxyStyle, QWindowsCEStyle, and QWindowsVistaStyle.

QRect subControlRect | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | opt,
|  | SubControl | sc,
|  | const QWidget * | w = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsVistaStyle, and QWindowsXPStyle.

QSize sizeFromContents | ( | ContentsType | ct,
|  | const QStyleOption * | opt,
|  | const QSize & | contentsSize,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

int pixelMetric | ( | PixelMetric | m,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QStyle.

Reimplemented in QCDEStyle, QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

int styleHint | ( | StyleHint | sh,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | w = `0`,
|  | QStyleHintReturn * | shret = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

QPixmap standardPixmap | ( | StandardPixmap | sp,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

QPixmap generatedIconPixmap | ( | QIcon::Mode | iconMode,
|  | const QPixmap & | pixmap,
|  | const QStyleOption * | opt
| ) |  | const `[virtual]`

Search for all occurrences

Implements QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QProxyStyle, and QWindowsMobileStyle.

void polish | ( | QPalette & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void polish | ( | QApplication * | app | ) | `[virtual]`

Search for all occurrences

Reimplemented from QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void polish | ( | QWidget * | widget | ) | `[virtual]`

Search for all occurrences

Reimplemented from QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsCEStyle, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void unpolish | ( | QWidget * | widget | ) | `[virtual]`

Search for all occurrences

Reimplemented from QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

void unpolish | ( | QApplication * | application | ) | `[virtual]`

Search for all occurrences

Reimplemented from QStyle.

Reimplemented in QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsMobileStyle, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

QIcon standardIconImplementation | ( | StandardPixmap | standardIcon,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[protected, slot]`

Search for all occurrences

Reimplemented from QStyle.

Reimplemented in QCDEStyle, QCleanlooksStyle, QGtkStyle, QMotifStyle, QPlastiqueStyle, QProxyStyle, QS60Style, QWindowsStyle, QWindowsVistaStyle, and QWindowsXPStyle.

The documentation for this class was generated from the following file:

- QtGui/qcommonstyle.h

QCommonStyle QCommonStyle QCommonStyle QCommonStyle QCommonStyle QCommonStyle QCommonStyle QCommonStyle QCommonStyle QCommonStyle
QCommonStyle QCommonStyle QCommonStyle QCommonStyle QCommonStyle QCommonStyle QCommonStyle QCommonStyle QCommonStyle QCommonStyle